<?xml version="1.0" encoding="UTF-8"?>
<xmi:XMI xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:TalendProperties="http://www.talend.org/properties" xmlns:dataquality.properties="http://dataquality.properties">
  <TalendProperties:Property xmi:id="_lXGMoPhYEeyFDdeJpgAVJQ" id="_lXFlkfhYEeyFDdeJpgAVJQ" label="Current_Century_Date" purpose="match 2/14/2001 or 12-14-2001 or  12-29-2099  not matches :  2/14/1999" description="This regular expression will validate most (current &amp; future) date options. The weaknesses with this one is that it will allow the days to go up to 39 and does not account for leap year. Also, the months can go up to 19, instead of our commonly accepted 12 month year. :)  I designed this expression to validate dates from the year 2000 to 2099. I do not plan on this same code being in place in 2099, so I hope this is sufficient enough..." version="0.1" statusCode="Draft" item="_lXGMovhYEeyFDdeJpgAVJQ" displayName="Current Century Date">
    <author href="../../../../talend.project#_aBMEUPhYEeyFDdeJpgAVJQ"/>
    <additionalProperties xmi:id="_lXGzsPhYEeyFDdeJpgAVJQ" key="created_product_fullname" value="Talend Cloud Real-Time Big Data Platform"/>
    <additionalProperties xmi:id="_lXGzsfhYEeyFDdeJpgAVJQ" key="created_product_version" value="7.3.1.20210623_0656-patch"/>
    <additionalProperties xmi:id="_lXGzsvhYEeyFDdeJpgAVJQ" key="created_date" value="2022-06-30T17:09:48.971+0800"/>
    <additionalProperties xmi:id="_lXGzs_hYEeyFDdeJpgAVJQ" key="modified_product_fullname" value="Talend Cloud Real-Time Big Data Platform"/>
    <additionalProperties xmi:id="_lXGztPhYEeyFDdeJpgAVJQ" key="modified_product_version" value="7.3.1.20210623_0656-patch"/>
    <additionalProperties xmi:id="_lXGztfhYEeyFDdeJpgAVJQ" key="modified_date" value="2022-06-30T17:09:48.971+0800"/>
  </TalendProperties:Property>
  <TalendProperties:ItemState xmi:id="_lXGMofhYEeyFDdeJpgAVJQ" path="Regex/date"/>
  <dataquality.properties:TDQPatternItem xmi:id="_lXGMovhYEeyFDdeJpgAVJQ" property="_lXGMoPhYEeyFDdeJpgAVJQ" state="_lXGMofhYEeyFDdeJpgAVJQ" filename="Current_Century_Date_0.1.pattern">
    <pattern href="Current_Century_Date_0.1.pattern#_khsAgIyhEd6Dle_8xC0lwg"/>
  </dataquality.properties:TDQPatternItem>
</xmi:XMI>
